Get Deposit on Mobile Money status
curl --request GET \
--url https://sandbox-api.kotanipay.io/api/v3/deposit/mobile-money/status/{reference_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/deposit/mobile-money/status/{reference_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.kotanipay.io/api/v3/deposit/mobile-money/status/{reference_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Deposit status retrieved.",
"data": {
"id": "5f9b2c7b9c9d6b0017b4e6b1",
"amount": 10,
"wallet_id": "5f9b2c7b9c9d6b0017b4e6b1",
"reference_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"transaction_cost": 123,
"transaction_amount": 123,
"customer_key": "<string>",
"callback_url": "https://example.com",
"customer_redirect_url": "https://example.com/success",
"customer_id_number": "9001010000084",
"reference_id": "5f9b2c7b9c9d6b0017b4e6b1",
"currency": "USD",
"provider": "<string>",
"providerReference": "<string>",
"providerRequest": "<string>",
"providerResponse": "<string>",
"cancelUrl": "https://example.com/cancel",
"errorUrl": "https://example.com/error",
"environment": "<string>",
"integratorsAmount": 123,
"customer": {},
"paymentLinkTransaction": {},
"updatedAt": "<string>",
"confirmation_id": "<string>",
"threeDSEci": "<string>",
"uniqueIdentifier": "<string>",
"initialDepositBalance": 123,
"finalDepositBalance": 123,
"error_message": "<string>",
"error_code": "<string>",
"error_description": "<string>",
"telco_id": "<string>"
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}{
"success": false,
"message": "Transaction not found",
"data": {}
}Mobile Money Deposits
Get Deposit Mobile Money Status
An integrator can use this endpoint to check the status of a deposit
GET
/
api
/
v3
/
deposit
/
mobile-money
/
status
/
{reference_id}
Get Deposit on Mobile Money status
An integrator can use this endpoint to check the status of a mobile money deposit transaction.
The
reference_id path parameter accepts either the Kotani platform reference ID or the telco/MNO transaction ID — whichever is available.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Kotani reference ID for the transaction
Example:
"KOTANI-REF-789"
⌘I